Get report template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /report-templates/{reportTemplateId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • reportTemplateId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • isArchived boolean
    • reportVersion string

      Values are V1 or V2.

    • reportConfig string
    • reportLayout string
    • name string
    • id integer(int64)
    • description string
    • projectId integer(int64)
    • outputType string

      Values are PDF or EXCEL.

    • createdByUserId string(uuid)
    • reportType string

      Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

GET /report-templates/{reportTemplateId}
curl \
 --request GET 'https://live.smartpmtech.com/report-templates/{reportTemplateId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "isArchived": true,
  "reportVersion": "V1",
  "reportConfig": "string",
  "reportLayout": "string",
  "name": "string",
  "id": 42,
  "description": "string",
  "projectId": 42,
  "outputType": "PDF",
  "createdByUserId": "string",
  "reportType": "CHANGES"
}